%global base_name       csv
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          1.2
Release:          %mkrel 3
Summary:          Utilities to assist with handling of CSV files
License:          ASL 2.0
Group:            Development/Java
URL:              http://commons.apache.org/
Source0:          http://www.apache.org/dist/commons/csv/source/%{short_name}-%{version}-src.tar.gz
BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.h2database:h2)
BuildRequires:    mvn(commons-io:commons-io)
BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    junit
BuildRequires:    apache-commons-parent


%description
Commons CSV was started to unify a common and simple interface for
reading and writing CSV files under an ASL license.

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils


%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n commons-csv-%{version}-src
sed -i 's/\r//' *.txt
find -name profile.jacoco -delete

# Unwanted plugins
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :maven-checkstyle-plugin

%mvn_file ":{*}" %{name} @1
%mvn_alias : commons-csv:

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc RELEASE-NOTES.txt LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.2-3.mga6
+ Revision: 982563
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.2-2.mga6
+ Revision: 975467
- First rebuild of the java stack

* Sat Dec 19 2015 zezinho <zezinho> 1.2-1.mga6
+ Revision: 912256
- new version

* Fri Dec 26 2014 dmorgan <dmorgan> 1.0-0.1.svn1071189.8.mga5
+ Revision: 806353
- Fix BuildRequires
- Restore from Obsolete

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.1.svn1071189.7.mga5
+ Revision: 748126
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.1.svn1071189.6.mga5
+ Revision: 677797
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0-0.1.svn1071189.5.mga4
+ Revision: 545593
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.0-0.1.svn1071189.4.mga4
+ Revision: 501440
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.0-0.1.svn1071189.3.mga3
+ Revision: 345688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 dmorgan <dmorgan> 1.0-0.1.svn1071189.2.mga1
+ Revision: 92228
- Rebuild after bootstrapping
- imported package apache-commons-csv


* Thu Feb 17 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-0.1.svn1071189
- Initial version of the package

